<?php

/**
 * @file
 * Functionality for CSNA administration.
 */

/**
 * Menu callback: CSNA key or secrect config.
 */
function csna_admin_settings() {
  $providers = csna_providers();
  foreach ($providers as $provider_id => $provider) {
    $form[$provider_id] = array(
      '#type' => 'fieldset',
      '#title' => $provider['title'],
      '#description' => $provider['description'],
    );
    $form[$provider_id]['csna_' . $provider_id . '_key'] = array(
      '#type' => 'textfield',
      '#title' => t('Key'),
      '#size' => 40,
      '#maxlength' => 255,
      '#default_value' => variable_get('csna_' . $provider_id . '_key', ''),
    );
    $form[$provider_id]['csna_' . $provider_id . '_secret'] = array(
      '#type' => 'textfield',
      '#title' => t('Secret'),
      '#size' => 40,
      '#maxlength' => 255,
      '#default_value' => variable_get('csna_' . $provider_id . '_secret', ''),
    );
  }

  return system_settings_form($form);
}
